Skip to main content
GET
/
v2
/
events
curl https://qstash.upstash.io/v2/events \
  -H "Authorization: Bearer <token>"
{
  "cursor": "1686652644442-12",
  "events":[
    {
      "time": "1686652644442",
      "messageId": "msg_123",
      "state": "delivered",
      "url": "https://example.com",
    }
  ] 
}

Documentation Index

Fetch the complete documentation index at: https://upstash-fix-issues-on-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Request

cursor
string
By providing a cursor you can paginate through all of the events.

Response

cursor
string
A cursor which you can use in subsequent requests to paginate through all events. If no cursor is returned, you have reached the end of the events.
events
Array
curl https://qstash.upstash.io/v2/events \
  -H "Authorization: Bearer <token>"
{
  "cursor": "1686652644442-12",
  "events":[
    {
      "time": "1686652644442",
      "messageId": "msg_123",
      "state": "delivered",
      "url": "https://example.com",
    }
  ] 
}